from django_tables2 import SingleTableView
from django.contrib.auth.mixins import UserPassesTestMixin
from SharixAdmin.tables import TaskTable
from django.contrib.auth.decorators import login_required
from webservice_running.models import Tasks
from django.http import JsonResponse
from SharixAdmin.utils import group_required
from django.utils.translation import gettext as _


class TaskListView(UserPassesTestMixin, SingleTableView):
    table_class = TaskTable
    queryset = Tasks.objects.all()
    template_name = 'SharixAdmin/task_management.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context.update({
            'title': _('Управление задачами'),
            'object_list': context['object_list'],
            'current_page': "task_management"
        })
        return context
    
    def test_func(self) -> bool or None:
        group_names = ('METASERVICE-ADMIN')
        if bool(self.request.user.groups.filter(name=group_names)) or self.request.user.is_superuser:
            return True
        return False


@login_required
@group_required('METASERVICE-ADMIN')
def change_partners_status(request):
    if request.method == 'POST':
        partners_id = request.POST.get('partners_id')
        new_status = request.POST.get('new_status')
        partners = Tasks.objects.get(pk=partners_id)
        partners.status = new_status
        partners.save()
        return JsonResponse({'status': 'success'})
    else:
        return JsonResponse({'status': 'error'})